using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class meow : MonoBehaviour
{
    int objno = 0;
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        RTcmix.SendScore("print_on()", objno); // send the to RTcmix to turn on printing

        string sfpath = Application.dataPath;
        string rtinputstring = "rtinput(\"" + sfpath + "/nissa.wav\") ";

        RTcmix.SendScore(rtinputstring, objno);

        // use this to print messages from RTcmix
        RTcmix.printRTcmix(objno);

        did_start = true;
    }


    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown("m"))
        {
            RTcmix.SendScore("STEREO(0, 0, 9, 1, 0, 1)", objno);
        }

        // print messages (place this in each method you use RTcmix
        RTcmix.printRTcmix(objno);
    }


    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0);

        // the print goes here, too, for general RTcmix messages
        RTcmix.printRTcmix(objno);
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
